EM_CG(VI)

NAME
em_cg - EM to assembly code translator

SYNOPSIS
/usr/em/lib/mach_cg [-d] [-pn] [-wn] [ infile [ outfile ] ]

DESCRIPTION
Em_cg reads a compact EM-program, argument or standard input, and produces an assembly program on argument or standard output for the machine that is in its name. Flags recognized are:

-d  Run in debugging mode, only possible when the translator is compiled in the right way.

-pn Set the ply to n, default 1. The ply is the maximum lookahead depth the code generator may take. Effects of this flag are machine dependent.

-wn Set the weight percentage for size to n %, default is 50. This sets the size/time tradeoff in the codegenerator. Effects are again machine dependent.

SEE ALSO
ack(I)
[1] A.S. Tanenbaum, Hans van Staveren, Ed Keizer and Johan Stevenson "Description of a machine architecture for use with block structured languages" Informatica report IR-81.

AUTHOR
Hans van Staveren, Vrije Universiteit